### Constructor

# GimpUi IntStore new_array

unstable since: 3.0

#### Declaration [src]

    GtkListStore*
    gimp_int_store_new_array (
      gint n_values,
      const gchar** labels
    )

#### Description [src]

A variant of `gimp_int_store_new()` that takes an array of labels. The array indices are used as values.

Available since: 3.0

#### Parameters

`n_values`

  Type: `gint`

  The number of values.

`labels`

  Type: An array of `gchar*`

  An array of labels.

  The length of the array is specified in the `n_values` argument.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkListStore`

A new `GtkListStore`.

The caller of the function takes ownership of the data, and is responsible for freeing it.